Bug 221941 - lang/vala: update to 0.36.4
Summary: lang/vala: update to 0.36.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Carlos J. Puga Medina
URL:
Keywords:
Depends on: 210718 222010 222011 222015 222016 222017 222026 222028 222033 222035 222036 222037 222091 225123 225124
Blocks: 221942
  Show dependency treegraph
 
Reported: 2017-08-30 16:10 UTC by Carlos J. Puga Medina
Modified: 2018-01-24 07:26 UTC (History)
3 users (show)

See Also:
truckman: maintainer-feedback+
antoine: exp-run+


Attachments
patch-vala-0.36.4 (8.67 KB, patch)
2017-08-30 16:10 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch-vala-full-update-0.36.4 (21.32 KB, patch)
2018-01-08 17:24 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch-vala-full-update-0.36.4 (28.90 KB, patch)
2018-01-12 22:29 UTC, Carlos J. Puga Medina
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2017-08-30 16:10:59 UTC
Created attachment 185927 [details]
patch-vala-0.36.4

- Update vala to 0.36.4
- Regenerate patch files with makepatch
- Update WWW in pkg-descr

Changelog: https://wiki.gnome.org/Projects/Vala/Release#Vala_0.36.4
Comment 1 Koop Mast freebsd_committer 2017-08-31 07:16:23 UTC
I'm not sure MFH'ing to the branch is a good idea, vala tends to break things between major releases. Some of the bindings (GStreamer and Webkit2-gtk3) are updated to versions only found in ports/HEAD, I didn't see any security notices either in the changelogs. Is there a specific reason why you would want to MFH vala?
Comment 2 Olivier Duchateau 2017-08-31 14:48:54 UTC
Be careful with update of Vala, it must be synced with Gtk3, GSteamer, WebKit2 and mainly GLib.
Comment 3 Antoine Brodin freebsd_committer 2017-08-31 18:05:45 UTC
Exp-run results:

http://package23.nyi.freebsd.org/build.html?mastername=110i386-default-PR221941&build=2017-08-31_07h56m24s

Failure logs:


http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/abraca-0.8.2_1.log
http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/evolution-data-server-3.24.2.log
http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/go-for-it-1.5.log
http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/anjuta-3.18.2_2.log
http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/dconf-0.24.0_1.log
http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/xfce4-vala-4.10.3_3.log
http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/vanubi-0.0.16_2.log
http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/evolution-3.24.2.log
http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/geary-0.10.0.log
http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/ring-daemon-0.160516_4.log
http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/sayaka-3.2.2.log
http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/zeitgeist-0.9.16.log
http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/midori-0.5.11.log
http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/granite-0.4.0.1.log
http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/altyo-0.4.r19_1.log

Around 285 ports were not tested due to those failures.
Comment 4 Koop Mast freebsd_committer 2017-09-01 09:10:43 UTC
The evolution-data-server en evolution failures are not related to this patch. These where reported to me by tcberner@, and I have them with vanilla ports too.
Comment 5 Carlos J. Puga Medina freebsd_committer 2017-09-02 23:39:50 UTC
(In reply to Koop Mast from comment #1)

You're right. My request was wrong in this case :)
Comment 6 Carlos J. Puga Medina freebsd_committer 2017-12-27 13:11:15 UTC
@antoine,

Although this update is ready to be committed... Do we need to run another exp-run to be sure?

I'm using vala 0.36 without any problems so far.
Comment 7 Antoine Brodin freebsd_committer 2018-01-01 20:16:00 UTC
Please upload full patch and assign to protmgr for exp-run in a few days.
Comment 8 Carlos J. Puga Medina freebsd_committer 2018-01-01 20:21:20 UTC
(In reply to Antoine Brodin from comment #7)

OK, thanks Antoine.
Comment 9 Carlos J. Puga Medina freebsd_committer 2018-01-08 17:24:41 UTC
Created attachment 189530 [details]
patch-vala-full-update-0.36.4
Comment 10 Carlos J. Puga Medina freebsd_committer 2018-01-08 17:27:23 UTC
(In reply to Carlos J. Puga Medina from comment #9)

Patch ready for exp-run.
Comment 12 Carlos J. Puga Medina freebsd_committer 2018-01-12 22:29:47 UTC
Created attachment 189671 [details]
patch-vala-full-update-0.36.4
Comment 13 Carlos J. Puga Medina freebsd_committer 2018-01-12 22:32:14 UTC
(In reply to Antoine Brodin from comment #11)

I prepared a new svn patch that contains latest fixes.

Thanks Antoine :)
Comment 14 Antoine Brodin freebsd_committer 2018-01-14 21:43:53 UTC
Exp-run looks fine.
Comment 15 Carlos J. Puga Medina freebsd_committer 2018-01-16 00:56:05 UTC
(In reply to Antoine Brodin from comment #14)

Great! I'll wait for Koop's approval before proceeding :)

Thanks for your patience, Antoine.
Comment 16 commit-hook freebsd_committer 2018-01-24 07:12:52 UTC
A commit references this bug:

Author: truckman
Date: Wed Jan 24 07:11:56 UTC 2018
New revision: 459813
URL: https://svnweb.freebsd.org/changeset/ports/459813

Log:
  Update lang/vala to 0.36.4

  Regenerate patch files with makepatch

  Update WWW in pkg-descr

  PR:		221941
  Submitted by:	cpm

Changes:
  head/lang/vala/Makefile
  head/lang/vala/distinfo
  head/lang/vala/files/patch-vapi_libpq.vapi
  head/lang/vala/pkg-descr
  head/lang/vala/pkg-plist
Comment 17 commit-hook freebsd_committer 2018-01-24 07:13:58 UTC
A commit references this bug:

Author: truckman
Date: Wed Jan 24 07:13:01 UTC 2018
New revision: 459814
URL: https://svnweb.freebsd.org/changeset/ports/459814

Log:
  Update net-im/folks to 0.11.4

  Update WWW

  PR:		225122, 225123, 221941
  Submitted by:	cpm

Changes:
  head/net-im/folks/Makefile
  head/net-im/folks/distinfo
  head/net-im/folks/pkg-descr
  head/net-im/folks/pkg-plist
Comment 18 commit-hook freebsd_committer 2018-01-24 07:15:08 UTC
A commit references this bug:

Author: truckman
Date: Wed Jan 24 07:14:18 UTC 2018
New revision: 459815
URL: https://svnweb.freebsd.org/changeset/ports/459815

Log:
  Unbreak build of deskutils/gnome-contacts with vala 0.36

  PR:		225123, 221941
  Submitted by:	cpm

Changes:
  head/deskutils/gnome-contacts/files/
  head/deskutils/gnome-contacts/files/patch-src_contacts-contact-editor.vala
  head/deskutils/gnome-contacts/files/patch-src_contacts-contact-pane.vala
Comment 19 commit-hook freebsd_committer 2018-01-24 07:16:14 UTC
A commit references this bug:

Author: truckman
Date: Wed Jan 24 07:15:13 UTC 2018
New revision: 459816
URL: https://svnweb.freebsd.org/changeset/ports/459816

Log:
  Unbreak build of devel/anjuta with vala 0.36

  Bump PORTREVISION

  PR:		222011, 221941
  Submitted by:	cpm

Changes:
  head/devel/anjuta/Makefile
Comment 20 commit-hook freebsd_committer 2018-01-24 07:17:20 UTC
A commit references this bug:

Author: truckman
Date: Wed Jan 24 07:16:39 UTC 2018
New revision: 459817
URL: https://svnweb.freebsd.org/changeset/ports/459817

Log:
  Fix build of devel/xfce4-vala with vala 0.36

  Update WWW in pkg-descr

  Bump PORTREVISION

  PR:		222010, 221941
  Submitted by:	cpm
  Approved by:	madpilot

Changes:
  head/devel/xfce4-vala/Makefile
  head/devel/xfce4-vala/pkg-descr
Comment 21 commit-hook freebsd_committer 2018-01-24 07:19:27 UTC
A commit references this bug:

Author: truckman
Date: Wed Jan 24 07:18:39 UTC 2018
New revision: 459818
URL: https://svnweb.freebsd.org/changeset/ports/459818

Log:
  Update mail/geary to 0.11.1

  Add license

  Use cmake:outsource

  Message about sqlite3

  PR:		210718, 221941
  Submitted by:	cpm

Changes:
  head/mail/geary/Makefile
  head/mail/geary/distinfo
  head/mail/geary/pkg-plist
Comment 22 commit-hook freebsd_committer 2018-01-24 07:20:35 UTC
A commit references this bug:

Author: truckman
Date: Wed Jan 24 07:20:11 UTC 2018
New revision: 459819
URL: https://svnweb.freebsd.org/changeset/ports/459819

Log:
  Add USE_LDCONFIG

  Add TIMESTAMP

  Fix build with vala 0.36

  Update WWW in pkg-descr

  Pet portlint

  PR:		222033, 221941
  Submitted by:	cpm
  Approved by:	maintainer timeout (13 weeks)

Changes:
  head/sysutils/zeitgeist/Makefile
  head/sysutils/zeitgeist/distinfo
  head/sysutils/zeitgeist/files/
  head/sysutils/zeitgeist/files/patch-libzeitgeist_timestamp.vala
  head/sysutils/zeitgeist/files/patch-libzeitgeist_where-clause.vala
  head/sysutils/zeitgeist/pkg-descr
Comment 23 commit-hook freebsd_committer 2018-01-24 07:21:43 UTC
A commit references this bug:

Author: truckman
Date: Wed Jan 24 07:21:27 UTC 2018
New revision: 459820
URL: https://svnweb.freebsd.org/changeset/ports/459820

Log:
  Fix build of x11/gnome-pie with vala 0.36

  PR:		225124, 221941
  Submitted by:	cpm
  Approved by:	nivit (maintainer, via private email)

Changes:
  head/x11/gnome-pie/files/patch-src__utilities__color.vala